#include <cstdio>
#include <queue>

#define mp std :: make_pair

typedef std :: pair<int, int> pii;

int T;
int n, m;
int a[25][25];
bool used[25][25];

int dx[] = {-1, 0, 0, 1};
int dy[] = {0, -1, 1, 0};

bool in(int x, int y)
{
    return (x > 0) && (x <= n) && (y > 0) && (y <= m);
}

void bfs(int x, int y)
{
    if( used[x][y] )    return;
    std :: queue<pii> q;
    q.push( mp(x, y) );
    used[x][y] = 1;
    while( !q.empty() )
    {
        pii cur = q.front();
        x = cur.first;
        y = cur.second;
        q.pop();
        for(int i = 0; i < 4; i ++)
            if( in(x + dx[i], y + dy[i]) && (used[x + dx[i]][y + dy[i]] == 0) && (a[x + dx[i]][y + dy[i]] == 1) )
            {
                q.push( mp(x + dx[i], y + dy[i]) );
                used[x + dx[i]][y + dy[i]] = 1;
            }
    }
}

int main()
{
    scanf("%d", &T);
    for(int t = 0; t < T; t ++)
    {
        memset(a, 0, sizeof(a));
        memset(used, 0, sizeof(used));
        scanf("%d %d", &n, &m);
        for(int i = 1; i <= n; i ++)
            for(int j = 1; j <= m; j ++)
                scanf("%d", &a[i][j]);
        int cnt = 0;
        for(int i = 1; i <= n; i ++)
            for(int j = 1; j <= m; j ++)
                if( ( used[i][j] == 0) && (a[i][j] == 1) )
                {
                    cnt ++;
                    bfs(i, j);
                }
        printf("%d\n", cnt);
    }
    return 0;
}
