
#include <cstdio>
#include <string>
#include <algorithm>
using namespace std;

string res [] = {"", "R", "S", "RR", "RS", "RRR", "RRS", "RRRS"};

const int MAXN = 1100, MAXM = 1100;

char tmp [MAXN][MAXM];

struct matrix
{
    int N, M;
    char g [MAXN][MAXM];
    
    void read ()
    {
        memset (g, 0, sizeof (g));
        scanf ("%d %d", &N, &M);
        for (int i = 0; i < N; ++i)
            for (int j = 0; j < M; ++j)
            {
                int x;
                scanf ("%d", &x);
                g [i][j] = (char) x;
            }
    }
    
    void print ()
    {
        printf ("%d %d\n", N, M);
        for (int i = 0; i < N; ++i, puts (""))
            for (int j = 0; j < M; ++j)
            {
                if (j > 0)
                    printf (" ");
                printf ("%d", g [i][j]);
            }
    }
    
    void flip ()
    {
        for (int i = 0; i < N; ++i)
            reverse (g [i], g [i] + M);
    }
    
    void rotate ()
    {
        memset (tmp, 0, sizeof (tmp));
        for (int i = 0; i < M; ++i)
            for (int j = 0; j < N; ++j)
                tmp [i][j] = g [N - 1 - j][i];
        
        for (int i = 0; i < M; ++i)
            for (int j = 0; j < N; ++j)
                g [i][j] = tmp [i][j];
        swap (N, M);
    }
};

matrix source;
matrix target;

int main ()
{
    //int T;
    //scanf ("%d", &T);
    for (int c = 0; c < 10; ++c)
    {
        source.read ();
        target.read ();
    
        bool any = false;
        for (int i = 0; i < 8; ++i)
        {
            matrix cur = source;
            for (int j = 0; j < (int) res [i].size (); ++j)
                if (res [i][j] == 'R')
                    cur.rotate ();
                else
                    cur.flip ();
        
            bool ok = (cur.N == target.N && cur.M == target.M);
            for (int i = 0; i < cur.N && ok; ++i)
                for (int j = 0; j < cur.M && ok; ++j)
                    if (cur.g [i][j] != target.g [i][j])
                    {
                        ok = false;
                        goto done;
                    }
            done: ;
            if (ok)
            {
                string z = res [i];
                if (z == "")
                    z = "E";
                puts (z.c_str ());
                any = true;
                break;
            }
        }
        if (!any)
            printf ("no match\n");
    }
    return 0;
}
