#include <cstdio>

struct photo {
	short data[1024][1024];
	int h, w;
	
	photo() {
	}
	photo(const photo& from) {
		h = from.h;
		w = from.w;
		for(int i = 0; i < h; ++i)
			for(int j = 0; j < w; ++j)
				data[i][j] = from.data[i][j];
	}
	
	void read() {
		scanf("%d%d", &h, &w);
		for(int i = 0; i < h; ++i)
			for(int j = 0; j < w; ++j)
				scanf("%hd", &data[i][j]);
	}
	void print() {
		printf("%d %d\n", h, w);
		for(int i = 0; i < h; ++i) {
			for(int j = 0; j < w; ++j)
				printf("%hd", data[i][j]);
			printf("\n");
		}
	}
	
	void rotate(photo& result) {
		result.h = w;
		result.w = h;
		
		for(int i = 0; i < h; ++i) {
			for(int j = 0; j < w; ++j) {
				result.data[j][i] = data[h-i-1][j];
			}
		}
		
	}
	
	void sim(photo& result) {
		result.h = h;
		result.w = w;
		for(int i = 0; i < h; ++i)
			for(int j = 0; j < w; ++j)
				result.data[i][w-j-1] = data[i][j];
	}
	
	bool operator == (const photo& p) const {
		if(h != p.h || w != p.w) return false;
		for(int i = 0; i < h; ++i)
			for(int j = 0; j < w; ++j)
				if(data[i][j] != p.data[i][j]) return false;
		return true;
	}
};

photo a, b;
photo c;

int main() {
	/*int p;
	scanf("%d", &p);*/
	for(int t = 0; t < 10; ++t) {
		a.read();
		b.read();
		/*a.print();
		a.rotate().print();
		a.sim().print();*/
		//b.print();
		bool sim = false;
		int r;
		for(r = 0; r < 4; ++r) {
			if(a == b) {
				break;
			}
			a.sim(c);
			if(c == b) {
				sim = true;
				break;
			}
			a.rotate(c);
			a = c;
		}
		if(r == 0) {
			if(sim) printf("S\n");
			else printf("E\n");
		} else if(r == 4) {
			printf("no match\n");
		} else {
			for(int i = 0; i < r; ++i) printf("R");
			if(sim) printf("S");
			printf("\n");
		}
	}
	return 0;
}
